PostgreSQL 7.4beta4 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# pg_lo_import

## Name

pg_lo_import -- import a large object from a file

## Synopsis

    pg_lo_import conn filename

## Description

`pg_lo_import` reads the specified file and places the contents into a new large object.

## Arguments

conn

  The handle of a database connection in which to create the large object.

filename

  Specified the file from which to import the data.

## Return Value

The OID of the large object created.

## Notes

`pg_lo_import` must be called within a `BEGIN`/`COMMIT` transaction block.

Prev | Home | Next
pg_lo_unlink | Up | pg_lo_export